NX Open C++ Reference Guide
|
Represents the Follow Curve Move Builder <br> To create a new instance of this class, use @link CAM::MoveCollection::CreateFollowCurveMoveBuilder CAM::MoveCollection::CreateFollowCurveMoveBuilder @endlink <br>
Default values. More...
Public Member Functions | |
NXOpen::Point * | EndPoint () |
Returns the end location Created in NX8.0.0. | |
NXOpen::Direction * | EndToolAxis () |
Returns the end tool axis Created in NX8.0.0. | |
NXOpen::Section * | Geometry () |
Returns the geometry selection Created in NX8.0.0. | |
void | SetEndPoint (NXOpen::Point *location) |
Sets the end location Created in NX8.0.0. | |
void | SetEndToolAxis (NXOpen::Direction *vec) |
Sets the end tool axis Created in NX8.0.0. | |
void | SetGeometry (NXOpen::Section *geometryCollector) |
Sets the geometry selection Created in NX8.0.0. | |
![]() | |
NXOpen::CAM::InheritableToolDepBuilder * | EndExtension () |
Returns the end extension Created in NX8.0.0. | |
void | SetEndExtension (NXOpen::CAM::InheritableToolDepBuilder *builderTag) |
Sets the end extension Created in NX8.0.0. | |
void | SetStartExtension (NXOpen::CAM::InheritableToolDepBuilder *builderTag) |
Sets the start extension Created in NX8.0.0. | |
void | SetStartPoint (NXOpen::Point *location) |
Sets the start location Created in NX8.0.0. | |
void | SetStartToolAxis (NXOpen::Direction *vec) |
Sets the start tool axis Created in NX8.0.0. | |
NXOpen::CAM::InheritableToolDepBuilder * | StartExtension () |
Returns the start extension Created in NX8.0.0. | |
NXOpen::Point * | StartPoint () |
Returns the start location Created in NX8.0.0. | |
NXOpen::Direction * | StartToolAxis () |
Returns the start tool axis Created in NX8.0.0. | |
![]() | |
double | FeedRate () |
Returns the feed rate Created in NX5.0.0. | |
NXOpen::CAM::MoveBuilder::Feed | FeedType () |
Returns the feed type Created in NX5.0.0. | |
NXOpen::CAM::FeedRateUnit | FeedUnit () |
Returns the feed unit Created in NX7.5.0. | |
NXOpen::CAM::UdeParameter * | GetUserParameter (const NXString ¶meterName) |
Returns the custom parameter with the given name. | |
NXOpen::CAM::UdeParameter * | GetUserParameter (const char *parameterName) |
Returns the custom parameter with the given name. | |
NXOpen::CAM::UdeParameter * | GetUserParameter (int index) |
Returns the parameter at the input index. | |
NXOpen::CAM::MoveBuilder::Motion | MotionType () |
Returns the motion type Created in NX5.0.0. | |
int | NumberOfUserParameters () |
Returns the number of user parameters Created in NX8.0.0. | |
bool | ProtectedMove () |
Returns the protected move status Created in NX5.0.0. | |
void | SetFeedRate (double feedRate) |
Sets the feed rate Created in NX5.0.0. | |
void | SetFeedType (NXOpen::CAM::MoveBuilder::Feed feedType) |
Sets the feed type Created in NX5.0.0. | |
void | SetFeedUnit (NXOpen::CAM::FeedRateUnit unit) |
Sets the feed unit Created in NX7.5.0. | |
void | SetMotionType (NXOpen::CAM::MoveBuilder::Motion motionType) |
Sets the motion type Created in NX5.0.0. | |
void | SetParent (NXOpen::CAM::CAMObject *parent) |
Set parent Created in NX5.0.0. | |
void | SetProtectedMove (bool protectedMove) |
Sets the protected move status Created in NX5.0.0. | |
void | SetSibling (NXOpen::CAM::CAMObject *sibling) |
Set sibling Created in NX5.0.0. | |
void | SetSubopLabel (const NXString &subopLabel) |
Sets the subop label Created in NX8.5.1. | |
void | SetSubopLabel (const char *subopLabel) |
Sets the subop label Created in NX8.5.1. | |
NXString | SubopLabel () |
Returns the subop label Created in NX8.5.1. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Additional Inherited Members | |
![]() | |
enum | Feed { FeedMotion, FeedCustom } |
the feed Type More... | |
enum | Motion { MotionRapid = 1, MotionEngage, MotionCut, MotionStepover, MotionRetract, MotionApproach, MotionTraversal, MotionDeparture, MotionReturn, MotionFirstCut } |
the motion Type More... | |
Represents the Follow Curve Move Builder <br> To create a new instance of this class, use @link CAM::MoveCollection::CreateFollowCurveMoveBuilder CAM::MoveCollection::CreateFollowCurveMoveBuilder @endlink <br>
Default values.
Property | Value |
---|---|
FeedRate |
0.0 |
FeedType | |
FeedUnit |
None |
MotionType |
Cut |
ProtectedMove |
true |
Created in NX8.0.0.
NXOpen::Point* NXOpen::CAM::FollowCurveMoveBuilder::EndPoint | ( | ) |
Returns the end location
Created in NX8.0.0.
License requirements : None
NXOpen::Direction* NXOpen::CAM::FollowCurveMoveBuilder::EndToolAxis | ( | ) |
Returns the end tool axis
Created in NX8.0.0.
License requirements : None
NXOpen::Section* NXOpen::CAM::FollowCurveMoveBuilder::Geometry | ( | ) |
Returns the geometry selection
Created in NX8.0.0.
License requirements : None
void NXOpen::CAM::FollowCurveMoveBuilder::SetEndPoint | ( | NXOpen::Point * | location | ) |
Sets the end location
Created in NX8.0.0.
License requirements : cam_base ("CAM BASE")
location | location |
void NXOpen::CAM::FollowCurveMoveBuilder::SetEndToolAxis | ( | NXOpen::Direction * | vec | ) |
Sets the end tool axis
Created in NX8.0.0.
License requirements : cam_base ("CAM BASE")
vec | vec |
void NXOpen::CAM::FollowCurveMoveBuilder::SetGeometry | ( | NXOpen::Section * | geometryCollector | ) |
Sets the geometry selection
Created in NX8.0.0.
License requirements : cam_base ("CAM BASE")
geometryCollector | geometrycollector |